package com.example.what_the_fantasy.data.services

import com.example.what_the_fantasy.data.model.Comment
import com.example.what_the_fantasy.data.model.Quote
import com.example.what_the_fantasy.data.model.User
import com.example.what_the_fantasy.ui.navigations.Destination

class ServicesAPI : IServices {
    override fun EditUsername(username: String, index : Int) {
        TODO("Not yet implemented")
    }

    override fun EditEmail(email: String, index : Int) {
        TODO("Not yet implemented")
    }

    override fun EditPasswd(passwd: String, index : Int) {
        TODO("Not yet implemented")
    }

    override fun EditImage(imageURL: String, index : Int) {
        TODO("Not yet implemented")
    }

    override fun CreateUser(username: String, email: String, passwd: String, services: IServices) : Boolean {
        TODO("Not yet implemented")
    }

    override fun SearchQuote(quote: String) {
        TODO("Not yet implemented")
    }

    override fun getQuote(id: Int): Quote? {
        TODO("Not yet implemented")
    }

    override fun isFavorite(id: Int): Boolean {
        TODO("Not yet implemented")
    }

    override fun getFavorite(username: String) {
        TODO("Not yet implemented")
    }

    override fun getAllUsers(): List<User> {
        TODO("Not yet implemented")
    }

    override fun getComment(quoteId: Int): List<Comment> {
        TODO("Not yet implemented")
    }

    override fun getUserById(id: Int): User? {
        TODO("Not yet implemented")
    }
}